Loading...
API Reference
Product

Endpoints for retrieving either individual or batches of products with filtering and sorting options

# Endpoints
get
/products
Retrieve products based on provided query parameters. Includes Variants
post
/products
Retrieve Products with filters
get
/products/game/{game_id}
Fetches product information by Game ID. Needs configuration
get
/leagues
Retrieves league, team, and player slugs to be used in product filtering
get
Get Products

Retrieve products based on provided query parameters. Includes Variants

Parameters
team
string
Filter products by team slug (e.g. 'lakers')
player
string
Filter products by player slug (e.g. 'lebron-james')
products_per
integer
min: 1
Number of products per player to return (only applies when player is specified)
tags
string
Comma-separated tags (e.g. key:value) to filter on
brand
string
Filter products by brand name (e.g. 'nike')
sort
string
best_selling
hot_new_arrivals
newest
price_asc
price_desc
Sorting method
min_price
integer
Filter products with price_min >= min_price
max_price
integer
Filter products with price_min <= max_price
include_customizable
boolean
Include products that require customization (default false)
limit
integer
max: 100
Max number of products to return (default 20, max 100)
offset
integer
Number of products to skip
image_width
integer
min: 16
max: 3840
Width (in px) to request product images at from the image CDN (default 600)
get
/products
shell
javascript
go
java
php
{} Response
200
400
403
500
503
post
Get Products (POST)

Retrieve Products with filters

Request body
age
string[]
Filter products by age group (e.g., 'adult', 'youth', 'kids')
brand
string
Filter products by brand name (e.g., 'nike', 'adidas', 'fanatics')
category
string[]
Filter products by category (e.g., 'tops', 'bottoms', 'accessories')
color
string[]
Filter products by list of colors (e.g., 'red', 'blue', 'black')
gender
string[]
Filter products by gender ('male', 'female', 'unisex')
image_width
integer
Width (in px) to request product images at from the image CDN. Defaults to 600 when omitted; values outside 16–3840 are rejected.
include_customizable
boolean
TODO: Remove once we ship customizable products
league
string
Filter products by league (e.g., 'nba', 'nfl', 'ncaab')
max_price
integer
Filter products with price <= max_price
min_price
integer
Filter products with price >= min_price
pagination
object
pagination parameter
pagination.limit
integer
Max number of items to return (default: 20, max: 100)
pagination.offset
integer
Number of items to skip for pagination
players
string[]
Filter products by player slug (e.g., 'lebron-james', 'michael-jordan')
products_per
integer
Number of products per player to return (only applies when player is specified)
sort
string
best_selling
hot_new_arrivals
newest
price_asc
price_desc
Sorting method for results
tags
object[]
List of key-value pairs to filter by (e.g., [{"color": "red"}])
teams
string[]
Filter products by list of team slugs (e.g., 'lakers', 'bucks', 'blazers')
post
/products
shell
javascript
go
java
php
{} Response
200
400
403
500
503
get
Get Products by Game ID

Fetches product information by Game ID. Needs configuration

Parameters
game_id
string
required
Game ID
sort
string
best_selling
hot_new_arrivals
newest
price_asc
price_desc
Sorting method
min_price
integer
Filter products with price_min >= min_price
max_price
integer
Filter products with price_min <= max_price
limit
integer
max: 100
Max number of products to return (default 20, max 100)
offset
integer
Number of products to skip
image_width
integer
min: 16
max: 3840
Width (in px) to request product images at from the image CDN (default 600)
get
/products/game/{game_id}
shell
javascript
go
java
php
{} Response
200
400
403
500
503
get
List Leagues

Retrieves league, team, and player slugs to be used in product filtering

Parameters
league
string
Comma-separated list of available teams for provided leagues
team
string
Comma-separated list of available players for provided teams
expand
string
teams
players
all
Retrieve tree view of all child elements from provided parameters
get
/leagues
shell
javascript
go
java
php
{} Response
200
401
500
get
/products
shell
javascript
go
java
php
{} Response
200
400
403
500
503